import type { Metadata } from 'next'
import ThemeSwitcher from './components/themeswitcher'
import './globals.css'

export const metadata: Metadata = {
  title: 'Buzzword Bingo',
  description: 'by data.lore',
}

export default function RootLayout({
	children,
}: {
	children: React.ReactNode
}) {
	return (
	<html lang="en" data-theme="dark">
		<body className="bg-base-100 base-content flex flex-col h-screen">
		<div className="navbar bg-neutral text-neutral-content">
		<div className="flex-1">
			<span><b className="normal-case text-xl">Buzzword Bingo</b><span className="text-xs ml-1">v{process.env.npm_package_version}</span></span>
		</div>
		<div className="flex-none">
		<ul className="menu menu-horizontal px-1">
		<li>
			<a href="https://git.datalore.sh/datalore/buzzword-bingo.git" target="_blank">Source Code</a>
		</li>
		<li>
		<details>
			<summary>Theme</summary>
			<ThemeSwitcher/>
		</details>
		</li>
		</ul>
		</div>
		</div>
		<main className="flex flex-col flex-1">
			{children}
		</main>
		</body>
	</html>
	);
}
